<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css"
      integrity="sha256-h20CPZ0QyXlBuAw7A+KluUYx/3pK+c7lYEpqLTlxjYQ="
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/main.css" />
    <title>Weather App</title>
  </head>

  <body>
    <div id="home-page">
      <div id="search-container">
        <div class="btn-exit">X</div>
        <div class="form-group">
          <div class="input-text">
            <i class="fa fa-search" aria-hidden="true"></i>
            <input type="text" placeholder="search location" />
          </div>
          <button>Search</button>
        </div>
        <div class="result-list">
          <ul>
            <li class="active"><a href="#"> London </a><i class="fas fa-greater-than"></i></li>
            <li><a href="#"> Barcelona </a><i class="fas fa-greater-than"></i></li>
            <li><a href="#"> Long Beach </a><i class="fas fa-greater-than"></i></li>
          </ul>
        </div>
      </div>

      <div class="container">
        <div id="weather-today">
          <div class="nav">
            <button class="btn search-btn btn-search">Seach for places</button>
            <button class="current-location"><i class="fas fa-crosshairs"></i></button>
          </div>

          <div class="content">
            <div class="shower-container">
              <img src="img/Shower.png" alt="" />
            </div>
            <h1>15<span>&deg;c</span></h1>
            <p class="lead">Shower</p>
            <p>Today &dot; Fri, 5 Jun</p>
            <p><i class="fa fa-map-marker" aria-hidden="true"></i> Helsinki</p>
          </div>
        </div>

        <div id="weather-update">
          <div class="list-weather">
            <div class="card">
              <p class="text-white">Tomorrow</p>
              <img src="img/Shower.png" alt="" />
              <div class="row space-between">
                <p class="text-white">16°C</p>
                <p class="text-secondary">11°C</p>
              </div>
            </div>

            <div class="card">
              <p class="text-white">Tomorrow</p>
              <img src="img/Shower.png" alt="" />
              <div class="row space-between">
                <p class="text-white">16°C</p>
                <p class="text-secondary">11°C</p>
              </div>
            </div>

            <div class="card">
              <p class="text-white">Tomorrow</p>
              <img src="img/Shower.png" alt="" />
              <div class="row space-between">
                <p class="text-white">16°C</p>
                <p class="text-secondary">11°C</p>
              </div>
            </div>

            <div class="card">
              <p class="text-white">Tomorrow</p>
              <img src="img/Shower.png" alt="" />
              <div class="row space-between">
                <p class="text-white">16°C</p>
                <p class="text-secondary">11°C</p>
              </div>
            </div>

            <div class="card">
              <p class="text-white">Tomorrow</p>
              <img src="img/Shower.png" alt="" />
              <div class="row space-between">
                <p class="text-white">16°C</p>
                <p class="text-secondary">11°C</p>
              </div>
            </div>
          </div>

          <div class="highlights text-white">
            <h2 class="">Today’s Highlights</h2>
            <div class="highlight-wrap">
              <div class="card">
                <p>Wind status</p>
                <h3>7<small>mph</small></h3>
                <div class="wind-stats"><i class="fa fa-location-arrow" aria-hidden="true"></i> WSW</div>
              </div>

              <div class="card">
                <p>Humidity</p>
                <h3>84%</h3>
                <div class="progress-bar-complete">
                  <div class="row space-between">
                    <p>0</p>
                    <p>50</p>
                    <p>100</p>
                  </div>
                  <div class="progress-bar">
                    <div class="percent"></div>
                  </div>
                  <p>%</p>
                </div>
              </div>

              <div class="card">
                <p>Wind status</p>
                <h3>6,4 <small>miles</small></h3>
              </div>

              <div class="card">
                <p>Air Pressure</p>
                <h3>998 <small>mb</small></h3>
              </div>
            </div>
          </div>

          <div class="footer text-white">
            <p>dev-vilmrcs@devchallenges.io</p>
          </div>
        </div>
      </div>
    </div>
  </body>

  <script>
    var btnSearchPlace = document.querySelector('.btn-search');
    var btnClose = document.querySelector('.btn-exit');
    var searchContainer = document.querySelector('#search-container');
    var container = document.querySelector('.container');
    window.addEventListener('resize', resizeFunction);
    var mobileView = false;

    function resizeFunction() {
      var w = window.innerWidth;
      if (w <= 999) {
        mobileView = true;
      } else {
        mobileView = false;
      }
    }
    btnSearchPlace.addEventListener('click', function () {
      searchContainer.style.display = 'block';
      if (mobileView) {
        container.classList.add('noscroll');
      }
    });

    btnClose.addEventListener('click', function () {
      searchContainer.style.display = 'none';
      if (mobileView) {
        container.classList.remove('noscroll');
      }
    });
  </script>
</html>
